{
    "$graph": [
        {
            "label": "format_rrnas",
            "class": "CommandLineTool",
            "baseCommand": "format_rrnas",
            "inputs": [
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "seq-entry",
                    "inputBinding": {
                        "prefix": "-ifmt"
                    },
                    "id": "#format_rrnas.cwl/ifmt"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input"
                    },
                    "id": "#format_rrnas.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "File"
                    ],
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#format_rrnas.cwl/input_manifest"
                },
                {
                    "type": "string",
                    "default": "rrna.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#format_rrnas.cwl/o_name"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "16S",
                    "inputBinding": {
                        "prefix": "-rrna-class"
                    },
                    "id": "#format_rrnas.cwl/rrna_class"
                },
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-tmpinput"
                    },
                    "id": "#format_rrnas.cwl/tmpinput"
                }
            ],
            "id": "#format_rrnas.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.o_name)"
                    },
                    "id": "#format_rrnas.cwl/o"
                }
            ]
        },
        {
            "label": "format_rrnas_from_seq_entry",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "File",
                    "id": "#main/entry"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/format_rrnas/o",
                    "id": "#main/rna"
                }
            ],
            "steps": [
                {
                    "run": "#format_rrnas.cwl",
                    "in": [
                        {
                            "default": "seq-entry",
                            "id": "#main/format_rrnas/ifmt"
                        },
                        {
                            "default": "16S",
                            "id": "#main/format_rrnas/rrna_class"
                        },
                        {
                            "source": "#main/entry",
                            "id": "#main/format_rrnas/tmpinput"
                        }
                    ],
                    "out": [
                        "#main/format_rrnas/o"
                    ],
                    "id": "#main/format_rrnas"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
